Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511519 - Deprecation warning for ActionController::Parameters#deep_clone
Summary: Deprecation warning for ActionController::Parameters#deep_clone
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.9.0
Assignee: Yuri Rudman
QA Contact: luke couzens
URL:
Whiteboard:
Depends On: 1511011
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-09 13:57 UTC by Satoe Imaishi
Modified: 2018-03-06 15:08 UTC (History)
3 users (show)

Fixed In Version: 5.9.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1511011
Environment:
Last Closed: 2018-03-06 15:08:44 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-11-29 20:35:23 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/906915a74ff95fde9dccf33e593c33f08ce0ece4

commit 906915a74ff95fde9dccf33e593c33f08ce0ece4
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Thu Nov 9 10:25:36 2017 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Nov 14 21:01:34 2017 -0500

    Merge pull request #2668 from yrudman/remove-deprecated-call-to-deep_clone
    
    Remove deprecated call to ActionController::Parameters#deep_clone
    (cherry picked from commit e8269ce04d98baad536722c1475bdc1f1d6b714f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511519

 app/controllers/application_controller.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 luke couzens 2018-01-08 20:35:25 UTC
Verified in 5.9.0.15


Note You need to log in before you can comment on or make changes to this bug.